import Ad from '../../index';

import classes from './styles.module.scss';

const Template = (args) => (
  <div>
    <Ad {...args} />
  </div>
);

const CustomClass = Template.bind({});

CustomClass.args = {
  classes: {
    disclaimer: classes.customClass,
  },
  type: 'leaderboard',
};

CustomClass.parameters = {
  reference: 'https://www.sketch.com/s/77a46566-eb5d-43eb-8a32-08b9744f8f89/a/4adkJgo',
  docs: {
    description: {
      story: 'A custom class has been added which '
      + 'should turn the disclaimer red.',
    },
  },
};

export default CustomClass;
