import { useMemo } from 'react';
import InternalLink from '../InternalLink';

const useLinkComponent = function useLinkComponent(protocol) {
  return useMemo(() => {
    if (protocol === 'https:' || protocol === 'http:') {
      return 'a';
    }

    return InternalLink;
  }, [protocol]);
};

export default useLinkComponent;
