import Template from './_template';

const DefaultStyles = Template.bind({});

DefaultStyles.args = {
  active: true,
  classes: {},
  styled: true,
  source: {
    object: 'value',
    document: {
      data: {},
      nodes: [
        {
          data: {},
          type: 'paragraph',
          nodes: [
            {
              leaves: [
                {
                  text: 'Lorem ',
                  marks: [],
                  object: 'leaf',
                },
                {
                  text: 'ipsum',
                  marks: [
                    {
                      data: {},
                      type: 'bold',
                      object: 'mark',
                    },
                    {
                      data: {},
                      type: 'italic',
                      object: 'mark',
                    },
                  ],
                  object: 'leaf',
                },
                {
                  text: ' ',
                  marks: [],
                  object: 'leaf',
                },
                {
                  text: 'dolor',
                  marks: [
                    {
                      data: {},
                      type: 'underlined',
                      object: 'mark',
                    },
                  ],
                  object: 'leaf',
                },
                {
                  text: ' sit amet, ',
                  marks: [],
                  object: 'leaf',
                },
                {
                  text: 'consectetur',
                  marks: [
                    {
                      data: {},
                      type: 'underlined',
                      object: 'mark',
                    },
                    {
                      data: {},
                      type: 'bold',
                      object: 'mark',
                    },
                  ],
                  object: 'leaf',
                },
                {
                  text: ' adipiscing elit, ',
                  marks: [],
                  object: 'leaf',
                },
                {
                  text: 'sed',
                  marks: [
                    {
                      data: {},
                      type: 'italic',
                      object: 'mark',
                    },
                    {
                      data: {},
                      type: 'underlined',
                      object: 'mark',
                    },
                  ],
                  object: 'leaf',
                },
                {
                  text: ' do eiusmod ',
                  marks: [],
                  object: 'leaf',
                },
                {
                  text: 'tempor',
                  marks: [
                    {
                      data: {},
                      type: 'bold',
                      object: 'mark',
                    },
                    {
                      data: {},
                      type: 'italic',
                      object: 'mark',
                    },
                    {
                      data: {},
                      type: 'underlined',
                      object: 'mark',
                    },
                  ],
                  object: 'leaf',
                },
                {
                  text: ' incididunt ut labore et dolore magna aliqua. ',
                  marks: [],
                  object: 'leaf',
                },
                {
                  text: 'Volutpat lacus laoreet',
                  marks: [
                    {
                      data: {},
                      type: 'bold',
                      object: 'mark',
                    },
                  ],
                  object: 'leaf',
                },
                {
                  text: ' non curabitur gravida. In ',
                  marks: [],
                  object: 'leaf',
                },
              ],
              object: 'text',
            },
            {
              data: {
                href: 'https://www.politico.com',
              },
              type: 'link',
              nodes: [
                {
                  leaves: [
                    {
                      text: 'metus',
                      marks: [],
                      object: 'leaf',
                    },
                  ],
                  object: 'text',
                },
              ],
              isVoid: false,
              object: 'inline',
            },
            {
              leaves: [
                {
                  text: ' vulputate eu scelerisque felis imperdiet proin. Eu feugiat pretium nibh ipsum. Gravida arcu ac tortor dignissim convallis aenean et. Nisi est sit amet facilisis magna etiam tempor orci. Sed viverra tellus in hac habitasse platea dictumst vestibulum. Augue mauris augue neque gravida in fermentum et sollicitudin. Scelerisque felis imperdiet proin fermentum leo vel orci porta non. Lobortis feugiat vivamus at augue eget. Leo in vitae turpis massa sed elementum. Lectus mauris ultrices eros in cursus. In egestas erat imperdiet sed euismod ',
                  marks: [],
                  object: 'leaf',
                },
                {
                  text: 'nisi porta lorem',
                  marks: [
                    {
                      data: {},
                      type: 'bold',
                      object: 'mark',
                    },
                  ],
                  object: 'leaf',
                },
                {
                  text: '. Consequat interdum varius sit amet. Nibh sit amet commodo nulla facilisi nullam vehicula ipsum.',
                  marks: [],
                  object: 'leaf',
                },
              ],
              object: 'text',
            },
          ],
          isVoid: false,
          object: 'block',
        },
        {
          data: {
            img: {
              src: 'https://www.politico.com/interactives/uploads/image-service/2021/4/8/cdbf0d2afa-1200.jpeg',
              sizes: '(max-width: 400px) 400px, (max-width: 800px) 800px, 1200px',
              srcset: 'https://www.politico.com/interactives/uploads/image-service/2021/4/8/cdbf0d2afa-400.jpeg 400w, https://www.politico.com/interactives/uploads/image-service/2021/4/8/cdbf0d2afa-800.jpeg 800w, https://www.politico.com/interactives/uploads/image-service/2021/4/8/cdbf0d2afa-1200.jpeg 1200w',
            },
            urls: [
              'https://www.politico.com/interactives/uploads/image-service/2021/4/8/cdbf0d2afa-400.jpeg',
              'https://www.politico.com/interactives/uploads/image-service/2021/4/8/cdbf0d2afa-800.jpeg',
              'https://www.politico.com/interactives/uploads/image-service/2021/4/8/cdbf0d2afa-1200.jpeg',
            ],
            sizes: [
              400,
              800,
              1200,
            ],
            format: 'JPEG',
            success: 'ok',
            canonical: 'https://s3.amazonaws.com/interactives.politico.com/interactives/uploads/image-service/2021/4/8/cdbf0d2afa-1200.jpeg',
          },
          type: 'image',
          nodes: [
            {
              leaves: [
                {
                  text: '',
                  marks: [],
                  object: 'leaf',
                },
              ],
              object: 'text',
            },
          ],
          isVoid: true,
          object: 'block',
        },
        {
          data: {},
          type: 'paragraph',
          nodes: [
            {
              leaves: [
                {
                  text: '',
                  marks: [],
                  object: 'leaf',
                },
              ],
              object: 'text',
            },
          ],
          isVoid: false,
          object: 'block',
        },
        {
          data: {},
          type: 'paragraph',
          nodes: [
            {
              leaves: [
                {
                  text: 'Sometimes you need a list',
                  marks: [],
                  object: 'leaf',
                },
              ],
              object: 'text',
            },
          ],
          isVoid: false,
          object: 'block',
        },
        {
          data: {},
          type: 'bulleted-list',
          nodes: [
            {
              data: {},
              type: 'list-item',
              nodes: [
                {
                  leaves: [
                    {
                      text: "Here's",
                      marks: [],
                      object: 'leaf',
                    },
                  ],
                  object: 'text',
                },
              ],
              isVoid: false,
              object: 'block',
            },
            {
              data: {},
              type: 'list-item',
              nodes: [
                {
                  leaves: [
                    {
                      text: 'Some',
                      marks: [],
                      object: 'leaf',
                    },
                  ],
                  object: 'text',
                },
              ],
              isVoid: false,
              object: 'block',
            },
            {
              data: {},
              type: 'list-item',
              nodes: [
                {
                  leaves: [
                    {
                      text: 'Items',
                      marks: [],
                      object: 'leaf',
                    },
                  ],
                  object: 'text',
                },
              ],
              isVoid: false,
              object: 'block',
            },
          ],
          isVoid: false,
          object: 'block',
        },
        {
          data: {},
          type: 'blockquote',
          nodes: [
            {
              data: {},
              type: 'paragraph',
              nodes: [
                {
                  leaves: [
                    {
                      text: '"Someone said something wise once"',
                      marks: [],
                      object: 'leaf',
                    },
                  ],
                  object: 'text',
                },
              ],
              isVoid: false,
              object: 'block',
            },
          ],
          isVoid: false,
          object: 'block',
        },
        {
          data: {},
          type: 'paragraph',
          nodes: [
            {
              leaves: [
                {
                  text: '',
                  marks: [],
                  object: 'leaf',
                },
              ],
              object: 'text',
            },
          ],
          isVoid: false,
          object: 'block',
        },
        {
          data: {},
          type: 'paragraph',
          nodes: [
            {
              leaves: [
                {
                  text: '',
                  marks: [],
                  object: 'leaf',
                },
              ],
              object: 'text',
            },
          ],
          isVoid: false,
          object: 'block',
        },
        {
          data: {
            code: '<p style="color: red;">And some custom code</p>',
          },
          type: 'iframe',
          nodes: [
            {
              leaves: [
                {
                  text: '',
                  marks: [],
                  object: 'leaf',
                },
              ],
              object: 'text',
            },
          ],
          isVoid: true,
          object: 'block',
        },
        {
          data: {},
          type: 'paragraph',
          nodes: [
            {
              leaves: [
                {
                  text: '',
                  marks: [],
                  object: 'leaf',
                },
              ],
              object: 'text',
            },
          ],
          isVoid: false,
          object: 'block',
        },
        {
          data: {},
          type: 'paragraph',
          nodes: [
            {
              leaves: [
                {
                  text: 'Eu mi bibendum neque egestas congue quisque egestas diam in. Vitae et leo duis ut diam quam nulla porttitor. Bibendum arcu vitae elementum curabitur. Vehicula ipsum a arcu cursus. Egestas fringilla phasellus faucibus scelerisque eleifend. Ultricies tristique nulla aliquet enim. Dapibus ultrices in iaculis nunc sed augue lacus. Pretium quam vulputate dignissim suspendisse in est ante. Turpis egestas sed tempus urna. Ultricies tristique nulla aliquet enim tortor at auctor urna nunc. Eget arcu dictum varius duis at consectetur lorem donec. Non sodales neque sodales ut etiam sit amet nisl purus. Aliquet nibh praesent tristique magna sit amet purus gravida. Integer vitae justo eget magna fermentum iaculis. Suspendisse sed nisi lacus sed viverra tellus in. Sed sed risus pretium quam vulputate dignissim suspendisse. Interdum velit euismod in pellentesque. Feugiat nibh sed pulvinar proin gravida hendrerit lectus a. Sed vulputate odio ut enim blandit volutpat. At varius vel pharetra vel.',
                  marks: [],
                  object: 'leaf',
                },
              ],
              object: 'text',
            },
          ],
          isVoid: false,
          object: 'block',
        },
        {
          data: {},
          type: 'paragraph',
          nodes: [
            {
              leaves: [
                {
                  text: '',
                  marks: [],
                  object: 'leaf',
                },
              ],
              object: 'text',
            },
          ],
          isVoid: false,
          object: 'block',
        },
        {
          data: {
            url: 'https://twitter.com/politico/status/1380187602347728899',
            html: '<blockquote class="twitter-tweet" data-width="550"><p lang="en" dir="ltr">President Biden unveils long-awaited executive action on guns. <a href="https://t.co/4TbmYVrIbr">https://t.co/4TbmYVrIbr</a> <a href="https://t.co/qF4QVwpjI3">https://t.co/qF4QVwpjI3</a></p>&mdash; POLITICO (@politico) <a href="https://twitter.com/politico/status/1380187602347728899?ref_src=twsrc%5Etfw">April 8, 2021</a></blockquote>\n',
            type: 'rich',
            width: 550,
            height: null,
            version: '1.0',
            cache_age: '3153600000',
            author_url: 'https://twitter.com/politico',
            author_name: 'POLITICO',
            provider_url: 'https://twitter.com',
            provider_name: 'Twitter',
          },
          type: 'tweet',
          nodes: [
            {
              leaves: [
                {
                  text: '',
                  marks: [],
                  object: 'leaf',
                },
              ],
              object: 'text',
            },
          ],
          isVoid: true,
          object: 'block',
        },
        {
          data: {},
          type: 'paragraph',
          nodes: [
            {
              leaves: [
                {
                  text: 'Euismod lacinia at quis risus sed vulputate odio ut. Nunc vel risus commodo viverra maecenas accumsan. Ultrices mi tempus imperdiet nulla malesuada pellentesque elit. Ornare aenean euismod elementum nisi. Rhoncus mattis rhoncus urna neque viverra justo nec. In nisl nisi scelerisque eu ultrices vitae auctor. Mattis ullamcorper velit sed ullamcorper morbi tincidunt. Purus gravida quis blandit turpis cursus in. Mi tempus imperdiet nulla malesuada. Congue mauris rhoncus aenean vel elit scelerisque mauris pellentesque. Pellentesque dignissim enim sit amet venenatis urna cursus eget nunc. Non arcu risus quis varius quam quisque id diam vel. Faucibus turpis in eu mi. Dictum sit amet justo donec enim. Blandit libero volutpat sed cras ornare. Nam libero justo laoreet sit amet. Auctor elit sed vulputate mi sit amet. Risus nec feugiat in fermentum posuere urna nec. Sit amet commodo nulla facilisi nullam vehicula ipsum a. Aliquam ultrices sagittis orci a.',
                  marks: [],
                  object: 'leaf',
                },
              ],
              object: 'text',
            },
          ],
          isVoid: false,
          object: 'block',
        },
        {
          data: {},
          type: 'paragraph',
          nodes: [
            {
              leaves: [
                {
                  text: '',
                  marks: [],
                  object: 'leaf',
                },
              ],
              object: 'text',
            },
          ],
          isVoid: false,
          object: 'block',
        },
        {
          data: {
            html: '<iframe width="200" height="113" src="https://www.youtube.com/embed/WN4w6d9-LFk?feature=oembed" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>',
            type: 'video',
            title: 'Biden asked if Masters should leave Georgia',
            width: 200,
            height: 113,
            version: '1.0',
            author_url: 'https://www.youtube.com/c/POLITICO',
            author_name: 'POLITICO',
            provider_url: 'https://www.youtube.com/',
            provider_name: 'YouTube',
            thumbnail_url: 'https://i.ytimg.com/vi/WN4w6d9-LFk/hqdefault.jpg',
            thumbnail_width: 480,
            thumbnail_height: 360,
          },
          type: 'youtube',
          nodes: [
            {
              leaves: [
                {
                  text: '',
                  marks: [],
                  object: 'leaf',
                },
              ],
              object: 'text',
            },
          ],
          isVoid: true,
          object: 'block',
        },
        {
          data: {},
          type: 'paragraph',
          nodes: [
            {
              leaves: [
                {
                  text: '',
                  marks: [],
                  object: 'leaf',
                },
              ],
              object: 'text',
            },
          ],
          isVoid: false,
          object: 'block',
        },
        {
          data: {},
          type: 'paragraph',
          nodes: [
            {
              leaves: [
                {
                  text: 'Eu turpis egestas pretium aenean pharetra magna ac. Volutpat est velit egestas dui id ornare arcu. Fermentum iaculis eu non diam phasellus vestibulum lorem. Lectus urna duis convallis convallis. Urna cursus eget nunc scelerisque viverra mauris in aliquam sem. Leo urna molestie at elementum eu facilisis sed odio. Sed faucibus turpis in eu mi. Orci eu lobortis elementum nibh tellus molestie nunc. In hac habitasse platea dictumst vestibulum rhoncus. Commodo quis imperdiet massa tincidunt nunc pulvinar sapien.',
                  marks: [],
                  object: 'leaf',
                },
              ],
              object: 'text',
            },
          ],
          isVoid: false,
          object: 'block',
        },
      ],
      object: 'document',
    },
  },
};

export default DefaultStyles;
