import Footer from 'Components/Footer';
import SkipNav, { SkipToMainContent, SkipToSitemap } from '../../index';

import classes from './styles.module.scss';

const Template = (args) => (
  <div className={classes.root}>
    <p>Click here, and then press tab to activate the skip navigation.</p>
    <SkipNav {...args} />
    <hr className={classes.spacer} />
    <SkipToMainContent />
    <p>This is the site content</p>
    <hr className={classes.spacer} />
    <SkipToSitemap />
    <p>This is the site map</p>
    <Footer />
  </div>
);

const Base = Template.bind({});

Base.args = {
};

export default Base;
