import SkipNav from '../../index';

import classes from './styles.module.scss';

const Template = (args) => (
  <div className={classes.root}>
    <p>Click here, and then press tab to activate the skip navigation.</p>
    <SkipNav {...args} />
    <SkipNav {...args} />
  </div>
);

const CustomClass = Template.bind({});

CustomClass.args = {
  classes: {
    action: classes.action,
  },
};

CustomClass.parameters = {
  docs: {
    description: {
      story: 'A custom class has been added which '
      + 'should turn the buttons green.',
    },
  },
};

export default CustomClass;
