import Template from './_template';

const Basic = Template.bind({});

Basic.args = {
  active: true,
  classes: {
    root: 'root',
    node: 'node',
    'first-node': 'first-node',
    'outer-node': 'outer-node',
    'inner-node': 'inner-node',
    leaf: 'leaf',
    blockquote: 'blockquote',
    list: 'list',
    bullets: 'bullets',
    numbered: 'numbered',
    text: 'text',
    item: 'item',
    paragraph: 'paragraph',
    'image-container': 'image-container',
    image: 'image',
    'tweet-container': 'tweet-container',
    'youtube-container': 'youtube-container',
    'code-container': 'code-container',
    iframe: 'iframe',
    link: 'link',
    bold: 'bold',
    'code-highlight': 'code-highlight',
    italic: 'italic',
    underlined: 'underlined',
    small: 'small',
  },
  styles: false,
  source: {
    object: 'value',
    document: {
      data: {},
      nodes: [
        {
          data: {},
          type: 'paragraph',
          nodes: [
            {
              leaves: [
                {
                  text: 'Consequat interdum varius sit amet. Nibh sit amet commodo nulla facilisi nullam vehicula ipsum.',
                  marks: [],
                  object: 'leaf',
                },
              ],
            },
          ],
          isVoid: false,
          object: 'block',
        },
      ],
      object: 'document',
    },
  },
};

export default Basic;
