// TODO: Try to fix this lint error without the disable
/* eslint-disable react/no-array-index-key */
import classnames from 'classnames';
import get from 'lodash/get';
import renderNode from './renderNode';

export default (data, props) => {
  if (!data) {
    return null;
  }

  const nodes = get(data, 'document.nodes');
  if (!nodes) {
    return null;
  }

  const classes = get(props, 'classes', {});

  return (
    <div className={classes.root}>
      {nodes.map((d, idx) => (
        <div
          key={idx}
          className={classnames(
            classes.node,
            classes['outer-node'],
            {
              [classes['first-node']]: idx === 0,
            },
          )}
        >
          {renderNode(d, props)}
        </div>
      ))}
    </div>
  );
};
